@extends('layouts.app')

@section('title', 'Wowas')

@section('content')
<div class="container">
    <h1>Wowas</h1>
    <p>
        <a href="{{action('WowaController@create')}}" class="btn btn-outline-danger">
            <i class="fas fa-calculator"></i> Compute Wowa Weights
        </a>
    </p>

    <table class="table table-striped">
        <tr>
            <th>Id</th>
            <th>User</th>
            <th>Score</th>
            <th>Status</th>
            <th>Progression (%)</th>
            <th></th>
        </tr>
        @foreach($wowas as $wowa)
        <tr>
            <td>{{ $wowa->id }}</td>
            <td>{{ $wowa->user_id}}</td>
            <td>{{ $wowa->score }}</td>
            <td>{{ $wowa->status }}</td>
            @if(env('LOG_CHANNEL') === 'custom')
                <td>{{ \App\Log::getProgression($wowa) }} </td>
            @elseif(env('LOG_CHANNEL') === 'stack')
                <td>{{ $wowa->getProgression() }}</td>
            @endif
            <td class="text-right">
                <a class="btn btn-primary btn-sm"
                   href="{{ action('WowaController@show', ['wowa' => $wowa]) }}">
                     Show
                </a>


                <form method="POST"
                      action="{{ action('WowaController@destroy', ['wowa' => $wowa]) }}"
                      style="display: inline-block">
                    {{ csrf_field() }}
                    {{ method_field("DELETE") }}
                    <button class="btn btn-danger btn-sm">
                         Delete
                    </button>
                </form>
            </td>
        </tr>
        @endforeach
    </table>
</div>
@endsection
